Package oracle.nosql.driver.ops

# Class ReplicaStatsResult.ReplicaStats

java.lang.Object
oracle.nosql.driver.ops.ReplicaStatsResult.ReplicaStats

Enclosing class:
  ReplicaStatsResult

public static class ReplicaStatsResult.ReplicaStats extends Object
ReplicaStats contains information about replica lag for a specific replica.

Replica lag is a measure of how current this table is relative to the remote replica and indicates that this table has not yet received updates that happened within the lag period.

For example, if the replica lag is 5,000 milliseconds(5 seconds), then this table will have all updates that occurred at the remote replica that are more than 5 seconds old.

Replica lag is calculated based on how long it took for the latest operation from the table at the remote replica to be replayed at this table. If there have been no application writes for the table at the remote replica, the service uses other mechanisms to calculate an approximation of the lag, and the lag statistic will still be available.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReplicaStats()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getCollectionTime()`
  Returns the time the replica lag collection was performed.
  `String`
  `getCollectionTimeString()`
  Returns the collection time as an ISO 8601 formatted string
  `int`
  `getReplicaLag()`
  Returns the replica lag collected at the specified time in milliseconds

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ReplicaStats

    public ReplicaStats()

- ## Method Details

  - ### getCollectionTime

    public long getCollectionTime()
    Returns the time the replica lag collection was performed. The value is a time stamp in milliseconds since the Epoch
    Returns:
      the collection time

  - ### getCollectionTimeString

    public String getCollectionTimeString()
    Returns the collection time as an ISO 8601 formatted string
    Returns:
      the collection time string

  - ### getReplicaLag

    public int getReplicaLag()
    Returns the replica lag collected at the specified time in milliseconds
    Returns:
      the replica lag